Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » DSDP - Mobile Tools for Java (MTJ) » Can't get past preverifier compile error
Can't get past preverifier compile error [message #579936] Wed, 21 April 2010 09:16 Go to next message
Ben Arnold is currently offline Ben ArnoldFriend
Messages: 4
Registered: April 2010
Junior Member
Hi,

I'm a newcomer to mobile development in general and MTJ in particular. I've read what documentation I can find, and I've successfully (I assume) installed the Nokia S60 SDK and MTJ into my Eclipse installation.

The problem I'm having is that I can't build my project because I can't get rid of this error:

"The project was not built since the device definition is incomplete. Cannot find the device preverifier no a default one. Fix device definition then try building this project."

I would have assumed that MTJ would pick up the preverifier in my S60 SDK like it picked up the executables ;). No matter though, I found the device definition dialogue and put the path to the preverifier in my SDK bin directory in the box labelled "preverifier". Then I clicked ok and did cleaned the project. The error didn't go away. I went back to the dialogue and the preverifier had disappeared from the dialogue box.

So then I tried a couple of other things, these didn't help either:

- specifying a verifier.exe in the "default verifier" box

- putting the path to verifier2.exe in the verifier box - this value doesn't get cleared out, but it doesn't change the error message

I know I must be doing something pretty fundamental wrong because if no one could build their MTJ projects there would be something in the bug database about it.

Any clue as to what mistake I might have made?

Thanks for your help,


Ben
Re: Can't get past preverifier compile error [message #579948 is a reply to message #579936] Sun, 25 April 2010 20:18 Go to previous messageGo to next message
Ben Arnold is currently offline Ben ArnoldFriend
Messages: 4
Registered: April 2010
Junior Member
Bad news is I still can't get this MTJ to work.

The good news is that I found the pyx4me j2me-maven-plugin which works nicely. I thoroughly recommend it to anyone who's familiar with Maven and can't get MTJ to work.

http://pyx4me.com/pyx4me-maven-plugins/j2me-maven-plugin/int roduction.html

I'd still be interested in any pointers as to how to get MTJ working, but in the mean time I have a solution. :)


Ben
Re: Can't get past preverifier compile error [message #579969 is a reply to message #579948] Tue, 27 April 2010 11:17 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: krischik.users.sourceforge.net

Am 25.04.2010, 22:18 Uhr, schrieb Ben Arnold <ben.arnold.spam@hotmail.com>:

> Bad news is I still can't get this MTJ to work.

Me too :-(.

> The good news is that I found the pyx4me j2me-maven-plugin which works
> nicely. I thoroughly recommend it to anyone who's familiar with Maven
> and can't get MTJ to work.

You are not the first to suggest Maven over MTJ ;-). See
http://www.eclipse.org/forums/index.php?t=msg&goto=51670 0&

Regards

Martin
--
Martin Krischik
Re: Can't get past preverifier compile error [message #579988 is a reply to message #579948] Tue, 27 April 2010 12:46 Go to previous messageGo to next message
Gustavo de Paula is currently offline Gustavo de PaulaFriend
Messages: 42
Registered: January 2010
Member
there is an issue with Eclipse and some Nokia Series 60 SDKs. you can check them on the forum nokia that they have more information about it. currentl as far as i remeber the only solution to have a good integrated environment with those nokia sdks is to use netbeans 6.5. but i encourage you to verify that information at the forum nokia web site

:)
gep
Re: Can't get past preverifier compile error [message #581340 is a reply to message #579988] Mon, 30 August 2010 07:36 Go to previous messageGo to next message
Gerd Katzenbeisser is currently offline Gerd KatzenbeisserFriend
Messages: 2
Registered: August 2010
Junior Member
I have exactly the same problem here on my PowerBook G4. I don't want to install maven for midlet development.

I also tried to use proguard from MacPorts and define it as default preverifier, but still no success. I use microemulator 2.0.4 as the device emulator.

I also tried to use mpowerplayer. But i don't know how to tell eclipse to use mpowerplayer as emulator.
Re: Can't get past preverifier compile error [message #581356 is a reply to message #579936] Fri, 03 September 2010 17:05 Go to previous message
Gorkem Ercan is currently offline Gorkem ErcanFriend
Messages: 166
Registered: July 2009
Senior Member
This is not related to any SDKs. It was reported earlier https://bugs.eclipse.org/bugs/show_bug.cgi?id=312045

There was a bug on the code related to preverifier preferences. It is fixed and released to next MTJ 1.1.1service release.

You can get the very latest MTJ releases from http://www.eclipse.org/dsdp/mtj/download/downloads.php

--
Gorkem
Previous Topic:Can't get past preverifier compile error
Next Topic:MTJ 1.1.1 Release Candidate
Goto Forum:
  


Current Time: Mon Nov 24 16:45:23 GMT 2014

Powered by FUDForum. Page generated in 0.02661 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software